﻿<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Titre_final_v3-correctionOK_0.2</title>
  <link rel="stylesheet" href="https://stackedit.io/style.css" />
</head>

<body class="stackedit">
  <div class="stackedit__left">
    <div class="stackedit__toc">
      
<ul>
<li><a href="#titre_final_v3-correctionok_0.2">Titre_final_v3-correctionOK_0.2</a>
<ul>
<li><a href="#gestion-de-version-et-recherche-reproductible">Gestion de version et recherche reproductible</a></li>
<li><a href="#corpus--définition">Corpus : définition</a></li>
<li><a href="#tranche-de-vie">1 - Tranche de vie</a></li>
<li><a href="#causes-des-problèmes">2 - Causes des problèmes</a></li>
<li><a href="#gestion-des-fichiers">3 - Gestion des fichiers</a></li>
<li><a href="#documenter-et-rejouer-la-chaîne-des-opérations">4 - Documenter et Rejouer la chaîne des opérations</a></li>
<li><a href="#faciliter-la-réappropriation">5 - Faciliter la réappropriation</a></li>
<li><a href="#conclusion">Conclusion</a></li>
</ul>
</li>
</ul>

    </div>
  </div>
  <div class="stackedit__right">
    <div class="stackedit__html">
      <h1 id="titre_final_v3-correctionok_0.2">Titre_final_v3-correctionOK_0.2</h1>
<h2 id="gestion-de-version-et-recherche-reproductible">Gestion de version et recherche reproductible</h2>
<p><b>Michael Nauge</b><span class="katex--inline"><span class="katex"><span class="katex-mathml"><math><semantics><mrow><msup><mrow></mrow><mrow><mn>1</mn><mo separator="true">,</mo><mn>2</mn></mrow></msup></mrow><annotation encoding="application/x-tex">^{1,2}</annotation></semantics></math></span><span class="katex-html" aria-hidden="true"><span class="base"><span class="strut" style="height: 0.814108em; vertical-align: 0em;"></span><span class="mord"><span class=""></span><span class="msupsub"><span class="vlist-t"><span class="vlist-r"><span class="vlist" style="height: 0.814108em;"><span class="" style="top: -3.063em; margin-right: 0.05em;"><span class="pstrut" style="height: 2.7em;"></span><span class="sizing reset-size6 size3 mtight"><span class="mord mtight"><span class="mord mtight">1</span><span class="mpunct mtight">,</span><span class="mord mtight">2</span></span></span></span></span></span></span></span></span></span></span></span></span><br>
Ingénieur Corpus Numérique</p>
<p><a href="http://forellis.labo.univ-poitiers.fr/">[1] : FORELLIS, EA3816, Université de Poitiers</a></p>
<p><a href="http://mimmoc.labo.univ-poitiers.fr/">[2] : MIMMOC, EA3812, Université de Poitiers</a></p>
<hr>
<p><img src="https://cdn.pixabay.com/photo/2017/09/16/19/21/salad-2756467_960_720.jpg" alt="Corpus numérique"><br>
<i>Image par <a href="https://pixabay.com/fr/users/silviarita-3142410/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2756467">silviarita</a> de <a href="https://pixabay.com/fr/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2756467">Pixabay</a></i></p>
<h2 id="corpus--définition">Corpus : définition</h2>
<ul>
<li>
<p>Dictionnaire Le Trésor de la Langue Française : “Ensemble de textes établi selon un principe de documentation exhaustive, un critère thématique ou exemplaire en vue de leur étude linguistique”</p>
</li>
<li>
<p>John Sinclair, un linguiste britannique : “Une collection de données langagières sélectionnées et organisées selon des critères linguistiques explicites pour servir d’échantillon du langage”</p>
</li>
<li>
<p>“Agrégation de sources cohérentes construite pour répondre à une question scientifique”</p>
</li>
<li>
<p>“Agrégation de sources <i>(imparfaites) </i>représentatives  <i>(d’un ensemble plus grand<br>
indénombrable)</i> pour répondre à une question scientifique <i>(parfois difficile à poser)</i>”</p>
</li>
</ul>
<h3 id="corpus-vivant">Corpus vivant</h3>
<p><a href="https://gitlab.huma-num.fr/mshs-poitiers/forellis/datagrowth"><img src="https://gitlab.huma-num.fr/mshs-poitiers/forellis/datagrowth/raw/master/schema_GenericProject.svg"></a></p>
<h2 id="tranche-de-vie">1 - Tranche de vie</h2>
<h3 id="usb.k-iller">1.1 - USB.K iLLER</h3>
<p><img src="https://cdn.pixabay.com/photo/2013/07/13/12/38/deaths-head-160033_960_720.png" alt="illustration usb-killer"></p>
<p><i>Image par <a href="https://pixabay.com/fr/users/OpenClipart-Vectors-30363/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=160033">OpenClipart-Vectors</a> de <a href="https://pixabay.com/fr/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=160033">Pixabay</a></i></p>
<h4 id="marie-golpas-étudiante-en-master-1-">Marie Golpas, Étudiante en master 1 :</h4>
<blockquote>
<p>“Je voulais faire une copie de sauvegarde sur ma clé, j’ai finalement perdu mon travail de la semaine”,</p>
</blockquote>
<ul>
<li>Cause : confusion source/destination</li>
</ul>
<h4 id="roger-touperdu-doctorant-">Roger Touperdu, Doctorant :</h4>
<blockquote>
<p>“Je travail directement sur ma clé usb car j’utilise beaucoup de machines différentes”,</p>
</blockquote>
<ul>
<li>Cause : Nombre d’écriture Max (3000 écritures). MLC (multi-level cell) Mémoire intégrée dans la plupart des clés USB.</li>
</ul>
<h3 id="ça-ne-marche-plus">1.2 - Ça ne marche plus</h3>
<blockquote>
<p>J’ai récemment participé à la rédaction d’un article scientifique et nous venons de recevoir les commentaires des relecteurs : je dois modifier les couleurs d’une figure afin que celle-ci soit lisible en noir et blanc. Comme je n’arrivais pas à remettre la main sur mon script R ayant généré la figure en question, j’ai ré-écrit le programme correspondant. Le seul problème, c’est que cette nouvelle figure est un peu différente de la précédente et remet en cause les conclusions de l’article. Je ne comprends pas ce qui a pu se passer.</p>
</blockquote>
<p><a href="https://rr-france.github.io/bookrr/A-personas.html">source : Vers une recherche reproductible</a></p>
<h2 id="causes-des-problèmes">2 - Causes des problèmes</h2>
<ul>
<li>Besoin d’ubiquité des données</li>
<li>Besoin de garder les traces des modifications des données</li>
<li>Besoin de pouvoir rejouer les opérations de manipulation des données</li>
</ul>
<h2 id="gestion-des-fichiers">3 - Gestion des fichiers</h2>
<h3 id="convention-de-nommage">3.1 - Convention de nommage</h3>
<p><strong>Cas A : gestion des versions</strong><br>
version précédente 1 : 2019-02-03_analyse_donnees_v00.R<br>
version précédente 2 : 2019-04-17_analyse_donnees_v01.R<br>
version courante :  analyse_donnees.R</p>
<p><strong>Cas B :  gestion des métadonnées</strong><br>
MS_ENS04-L_HAM-G_2017-2018_B.txt<br>
MS_ENS01-A_LEO-F_2017-2018_B.txt</p>

<table>
<thead>
<tr>
<th>section</th>
<th>idEns</th>
<th>idEleve</th>
<th>genre</th>
<th>anneeScol</th>
<th>protocol</th>
</tr>
</thead>
<tbody>
<tr>
<td>MS</td>
<td>ENS04</td>
<td>L_HAM</td>
<td>G</td>
<td>2017-2018</td>
<td>B</td>
</tr>
<tr>
<td>MS</td>
<td>ENS01</td>
<td>A_LEO</td>
<td>F</td>
<td>2017-2018</td>
<td>B</td>
</tr>
</tbody>
</table><h3 id="versionner-avec-git">3.2 - Versionner avec GIT</h3>
<h3 id="back-to-the-future">3.2.1 - Back to the future</h3>
<p><img src="https://cdn.pixabay.com/photo/2017/10/07/09/12/time-2825832_960_720.png" alt="image voyage dans le temps"><br>
<i>Image par <a href="https://pixabay.com/fr/users/geralt-9301/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2825832">Gerd Altmann</a> de <a href="https://pixabay.com/fr/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=2825832">Pixabay</a></i></p>
<p>Imaginez un monde où vous pourriez voyager dans l’historique de toutes les créations/suppressions/renommages/modifications de tous vos fichiers/dossiers depuis le début de votre thèse…</p>
<h4 id="un-monde-dinstantané-discret">3.2.2 - Un monde d’instantané discret</h4>
<p><img src="https://git-scm.com/book/en/v2/images/snapshots.png" alt="illustration snapshot"><br>
<i>Image de <a href="https://git-scm.com/book/fr/v2/D%C3%A9marrage-rapide-Rudiments-de-Git">git-scm</a></i></p>
<p>Vous devez valider  des  instantanés  de votre “dépôt/<strong>repository</strong>” chaque fois que votre projet atteint un état que vous souhaitez enregistrer.</p>
<pre><code>commit
</code></pre>
<blockquote>
<p>Tout est géré localement, mais nous avons droit à des bouées de secours distantes :-)</p>
</blockquote>
<p><img src="https://www.git-tower.com/learn/media/pages/git/ebook/en/command-line/remote-repositories/introduction/-1045933932-1566804922/basic-remote-workflow.png" alt="illustrationWorkflow git remote"></p>
<p>Pour mettre à jour un dépôt distant (<strong>remote repository/origin</strong>)</p>
<pre><code>push
</code></pre>
<p>Pour rapatrier un projet sur une nouvelle machine</p>
<pre><code>clone
</code></pre>
<p>Pour rapatrier les dernières modifications</p>
<pre><code>pull 
ou
fetch+merge
</code></pre>
<p><i>Image de <a href="https://www.git-tower.com/learn/git/ebook/en/command-line/remote-repositories/introduction">git-tower</a></i></p>
<h4 id="sites-d’hébergement-de-remote-repository">3.2.3 - Sites d’hébergement de “remote repository”</h4>
<p><a href="https://framagit.org/public/projects">Framagit</a><br>
<a href="https://gitlab.huma-num.fr/explore/projects">Gitlab Huma-Num</a><br>
<a href="https://github.com/explore">Github</a></p>
<h4 id="pour-aller-plus-loin">3.2.4 - Pour aller plus loin</h4>
<p><a href="https://git-scm.com/book/fr/v2/Les-bases-de-Git-D%C3%A9marrer-un-d%C3%A9p%C3%B4t-Git">documentation officielle en français</a><br>
<a href="https://openclassrooms.com/fr/courses/2342361-gerez-votre-code-avec-git-et-github">openclassrooms : gerez votre code avec git</a></p>
<h2 id="documenter-et-rejouer-la-chaîne-des-opérations">4 - Documenter et Rejouer la chaîne des opérations</h2>
<blockquote>
<p>Comment conserver des explications détaillées de sa démarche scientifique en y associant des exécutions de code de création, de manipulation et de visualisation de ses données ?</p>
</blockquote>
<p><a href="https://www.fun-mooc.fr/courses/course-v1:inria+41016+session01bis/about">MOOC - Recherche reproductible : principes méthodologiques pour une science transparente </a></p>
<h3 id="document-computationnelnotebooks">4.1 Document computationnel/Notebooks</h3>
<p><img src="https://upload.wikimedia.org/wikipedia/commons/a/af/IPython-notebook.png" alt="illustration notebook"></p>
<p>Solutions actuelles :</p>
<ul>
<li><a href="https://jupyter.org/">jupyter</a></li>
<li><a href="https://bookdown.org/yihui/rmarkdown/notebook.html">r notebook</a></li>
<li><a href="https://www.orgmode.org/">org-mode</a></li>
<li><a href="https://alpha.iodide.io/">Iodide</a></li>
</ul>
<h3 id="démonstration-interactive-sur-un-corpus-en-shs">4.2 Démonstration interactive sur un corpus en SHS</h3>
<p><a href="https://nbviewer.jupyter.org/urls/gitlab.huma-num.fr/mshs-poitiers/forellis/marmython/raw/master/notebook/marmython.ipynb?flush_cache=true">Lancer la démo</a><br>
<a href="https://mybinder.org/v2/git/https%3A%2F%2Fgitlab.huma-num.fr%2Fmshs-poitiers%2Fforellis%2Fmarmython/16bf1829efb37cee925155b2e7c953113c67dc37?filepath=notebook%2Fmarmython.ipynb">Lancer la démo. intéractive</a> (merci de patienter quelques minutes, une instance de machine virtuelle va s’installer et se lancer rien que pour nous)</p>
<h2 id="faciliter-la-réappropriation">5 - Faciliter la réappropriation</h2>
<blockquote>
<p>Comment minimiser le temps d’appropriation d’un jeu de données ?</p>
</blockquote>
<h3 id="frictionless-data">5.1 -  Frictionless data</h3>
<p>Vidéo explicative (≈ 7 minutes) :<br>
<a href="https://www.youtube.com/watch?v=lWHKVXxuci0" target="_blank"><img src="http://img.youtube.com/vi/lWHKVXxuci0/0.jpg" alt="miniature video friction less data"></a></p>
<ul>
<li>Structurer ses données en <a href="http://frictionlessdata.io/data-packages/">data package</a></li>
<li>Vérifier l’intégrité des données avec <a href="https://frictionlessdata.io/docs/table-schema/">table-schema et goodtables</a></li>
</ul>
<h3 id="goodtables">5.2 - Goodtables</h3>
<p>Document explicatif (≈ 20 minutes de lecture)<br>
<a href="https://gitlab.huma-num.fr/mnauge/goodtablesexperiment">Partage d’expérience de nos premiers pas avec goodtables</a></p>
<h2 id="conclusion">Conclusion</h2>
<p><img src="https://cdn.pixabay.com/photo/2015/04/06/19/40/fish-709886_960_720.jpg" alt="illustration conclusion zen"><br>
Image par <a href="https://pixabay.com/fr/users/monstreh-637659/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=709886">Анна Куликова</a> de <a href="https://pixabay.com/fr/?utm_source=link-attribution&amp;utm_medium=referral&amp;utm_campaign=image&amp;utm_content=709886">Pixabay</a></p>
<p><strong>La recherche reproductible</strong> :</p>
<ul>
<li>
<p>C’est un état d’esprit</p>
<ul>
<li>Structurant
<ul>
<li>convention de nommage</li>
<li>spécification pour l’intégrité des données</li>
<li>rationalisation des chaînes de traitement</li>
<li><strong>poser par écrit et de manière formelle</strong></li>
</ul>
</li>
<li>Rassurant
<ul>
<li>minimiser le risque de perte de données et donc de temps</li>
<li>gagner en crédibilité</li>
</ul>
</li>
</ul>
</li>
<li>
<p>Des outils logiciels</p>
<ul>
<li>Gestionnaire de version des fichiers</li>
<li>Documents computationnels</li>
</ul>
</li>
</ul>

    </div>
  </div>
</body>

</html>
